#pragma once

#include "WorldUpdate.h"

class BlockRemovedUpdate : public WorldUpdate
{
public:
    BlockRemovedUpdate( Framework::Vec3<int> pos, int dimension );
    ~BlockRemovedUpdate();

    void onUpdate( Dimension* zDimension ) override;
    void write( Framework::StreamWriter* zWriter ) override;
};

class BlockRemovedUpdateType : WorldUpdateType
{
    REGISTRABLE( BlockRemovedUpdateType )

protected:
    BlockRemovedUpdateType();
};
REGISTER( BlockRemovedUpdateType, WorldUpdateType )