#include "FastNoiseWrapper.h"

FastNoiseWrapper::FastNoiseWrapper( FastNoiseLite* noise, int seed )
{
    this->noise = noise;
    this->seed = seed;
}

FastNoiseWrapper::~FastNoiseWrapper()
{
    delete noise;
}

int FastNoiseWrapper::getSeed() const
{
    return seed;
}

double FastNoiseWrapper::getNoise( double x, double y, double z )
{
    // scale the noise from 0 to 1
    return (noise->GetNoise( x, y, z ) + 1) / 2;
}