#pragma once

#include "DimensionGenerator.h"
#include "StaticRegistry.h"
#include "Noise.h"

class OverworldDimension : public DimensionGenerator
{
    REGISTRABLE( OverworldDimension )

private:
    Noise* biomNoise;

public:
    OverworldDimension();
    ~OverworldDimension();

    Noise* zBiomNoise( int seed ) override;
};

#ifdef REGISTER
REGISTER( OverworldDimension, DimensionGenerator )
#endif