#pragma once
#include "WorldUpdate.h"
#include "Entity.h"

class AddEntityUpdate : public WorldUpdate
{
private:
    Entity* entity;

public:
    AddEntityUpdate( Entity* entity, int dimension );
    ~AddEntityUpdate();

    void onUpdate( Dimension* zDimension ) override;
    void write( Framework::StreamWriter* zWriter ) override;
};

class AddEntityUpdateType : WorldUpdateType
{
    REGISTRABLE( AddEntityUpdateType )

protected:
    AddEntityUpdateType();
};
REGISTER( AddEntityUpdateType, WorldUpdateType )