#pragma once

#include "WorldUpdate.h"

class EntityRemovedUpdate : public WorldUpdate
{
private:
    int entityId;

public:
    EntityRemovedUpdate( int entityId, int dimensionId, Framework::Vec3<int> pos );
    ~EntityRemovedUpdate();

    void onUpdate( Dimension* zDimension ) override;
    void write( Framework::StreamWriter* zWriter ) override;
};

class EntityRemovedUpdateType : WorldUpdateType
{
    REGISTRABLE( EntityRemovedUpdateType )

protected:
    EntityRemovedUpdateType();
};
REGISTER( EntityRemovedUpdateType, WorldUpdateType )